org.apache.maven.scm.provider.cvslib.cvsjava.command.tag

## Class CvsJavaTagCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.tag.AbstractTagCommand
    - - org.apache.maven.scm.provider.cvslib.command.tag.AbstractCvsTagCommand
      - - org.apache.maven.scm.provider.cvslib.cvsjava.command.tag.CvsJavaTagCommand

- All Implemented Interfaces:
    Command, CvsCommand

      public class CvsJavaTagCommand
      extends AbstractCvsTagCommand

  Version:
    $Id: CvsJavaTagCommand.java 685548 2008-08-13 13:35:49Z vsiveton $
  Author:
    Emmanuel Venisse

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CvsJavaTagCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected TagScmResult` | `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)`

    - ### Methods inherited from class org.apache.maven.scm.provider.cvslib.command.tag.AbstractCvsTagCommand

      `executeTagCommand, executeTagCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.tag.AbstractTagCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.scm.command.Command

      `execute, getLogger, setLogger`

- - ### Constructor Detail

    - #### CvsJavaTagCommand

          public CvsJavaTagCommand()

  - ### Method Detail

    - #### executeCvsCommand

          protected TagScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)
                                            throws ScmException

      Specified by:
        `executeCvsCommand` in class `AbstractCvsTagCommand`
      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.